{
  "dist_version": "0.3.1",
  "announcement_tag": "v0.6.0",
  "announcement_is_prerelease": false,
  "announcement_title": "v0.6.0",
  "announcement_github_body": "## Install switcheroo-nx 0.6.0\n\n### Install prebuilt binaries via shell script\n\n```sh\ncurl --proto '=https' --tlsv1.2 -LsSf https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-installer.sh | sh\n```\n\n### Install prebuilt binaries via powershell script\n\n```sh\nirm https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-installer.ps1 | iex\n```\n\n### Install prebuilt binaries via Homebrew\n\n```sh\nbrew install budde25/homebrew-tap/switcheroo-nx\n```\n\n## Download switcheroo-nx 0.6.0\n\n|  File  | Platform | Checksum |\n|--------|----------|----------|\n| [switcheroo-nx-aarch64-apple-darwin.tar.xz](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-aarch64-apple-darwin.tar.xz) | macOS Apple Silicon | [checksum](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-aarch64-apple-darwin.tar.xz.sha256) |\n| [switcheroo-nx-x86_64-apple-darwin.tar.xz](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-apple-darwin.tar.xz) | macOS Intel | [checksum](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-apple-darwin.tar.xz.sha256) |\n| [switcheroo-nx-x86_64-pc-windows-msvc.zip](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-pc-windows-msvc.zip) | Windows x64 | [checksum](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-pc-windows-msvc.zip.sha256) |\n| [switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz) | Linux x64 | [checksum](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz.sha256) |\n| [switcheroo-nx-x86_64-pc-windows-msvc.msi](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-pc-windows-msvc.msi) | Windows x64 | [checksum](https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-x86_64-pc-windows-msvc.msi.sha256) |\n\n",
  "system_info": {
    "cargo_version_line": "cargo 1.72.1 (103a7ff2e 2023-08-15)"
  },
  "releases": [
    {
      "app_name": "switcheroo-nx",
      "app_version": "0.6.0",
      "artifacts": [
        "switcheroo-nx-installer.sh",
        "switcheroo-nx-installer.ps1",
        "switcheroo-nx.rb",
        "switcheroo-nx-aarch64-apple-darwin.tar.xz",
        "switcheroo-nx-aarch64-apple-darwin.tar.xz.sha256",
        "switcheroo-nx-x86_64-apple-darwin.tar.xz",
        "switcheroo-nx-x86_64-apple-darwin.tar.xz.sha256",
        "switcheroo-nx-x86_64-pc-windows-msvc.zip",
        "switcheroo-nx-x86_64-pc-windows-msvc.zip.sha256",
        "switcheroo-nx-x86_64-pc-windows-msvc.msi",
        "switcheroo-nx-x86_64-pc-windows-msvc.msi.sha256",
        "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz",
        "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz.sha256"
      ]
    }
  ],
  "artifacts": {
    "switcheroo-nx-aarch64-apple-darwin.tar.xz": {
      "name": "switcheroo-nx-aarch64-apple-darwin.tar.xz",
      "kind": "executable-zip",
      "target_triples": [
        "aarch64-apple-darwin"
      ],
      "assets": [
        {
          "name": "LICENSE",
          "path": "LICENSE",
          "kind": "license"
        },
        {
          "name": "README.md",
          "path": "README.md",
          "kind": "readme"
        },
        {
          "name": "switcheroo",
          "path": "switcheroo",
          "kind": "executable"
        }
      ],
      "checksum": "switcheroo-nx-aarch64-apple-darwin.tar.xz.sha256"
    },
    "switcheroo-nx-aarch64-apple-darwin.tar.xz.sha256": {
      "name": "switcheroo-nx-aarch64-apple-darwin.tar.xz.sha256",
      "kind": "checksum",
      "target_triples": [
        "aarch64-apple-darwin"
      ]
    },
    "switcheroo-nx-installer.ps1": {
      "name": "switcheroo-nx-installer.ps1",
      "kind": "installer",
      "target_triples": [
        "x86_64-pc-windows-msvc"
      ],
      "install_hint": "irm https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-installer.ps1 | iex",
      "description": "Install prebuilt binaries via powershell script"
    },
    "switcheroo-nx-installer.sh": {
      "name": "switcheroo-nx-installer.sh",
      "kind": "installer",
      "target_triples": [
        "aarch64-apple-darwin",
        "x86_64-apple-darwin",
        "x86_64-unknown-linux-gnu"
      ],
      "install_hint": "curl --proto '=https' --tlsv1.2 -LsSf https://github.com/budde25/switcheroo/releases/download/v0.6.0/switcheroo-nx-installer.sh | sh",
      "description": "Install prebuilt binaries via shell script"
    },
    "switcheroo-nx-x86_64-apple-darwin.tar.xz": {
      "name": "switcheroo-nx-x86_64-apple-darwin.tar.xz",
      "kind": "executable-zip",
      "target_triples": [
        "x86_64-apple-darwin"
      ],
      "assets": [
        {
          "name": "LICENSE",
          "path": "LICENSE",
          "kind": "license"
        },
        {
          "name": "README.md",
          "path": "README.md",
          "kind": "readme"
        },
        {
          "name": "switcheroo",
          "path": "switcheroo",
          "kind": "executable"
        }
      ],
      "checksum": "switcheroo-nx-x86_64-apple-darwin.tar.xz.sha256"
    },
    "switcheroo-nx-x86_64-apple-darwin.tar.xz.sha256": {
      "name": "switcheroo-nx-x86_64-apple-darwin.tar.xz.sha256",
      "kind": "checksum",
      "target_triples": [
        "x86_64-apple-darwin"
      ]
    },
    "switcheroo-nx-x86_64-pc-windows-msvc.msi": {
      "name": "switcheroo-nx-x86_64-pc-windows-msvc.msi",
      "kind": "installer",
      "target_triples": [
        "x86_64-pc-windows-msvc"
      ],
      "assets": [
        {
          "name": "switcheroo",
          "path": "switcheroo.exe",
          "kind": "executable"
        }
      ],
      "description": "install via msi",
      "checksum": "switcheroo-nx-x86_64-pc-windows-msvc.msi.sha256"
    },
    "switcheroo-nx-x86_64-pc-windows-msvc.msi.sha256": {
      "name": "switcheroo-nx-x86_64-pc-windows-msvc.msi.sha256",
      "kind": "checksum",
      "target_triples": [
        "x86_64-pc-windows-msvc"
      ]
    },
    "switcheroo-nx-x86_64-pc-windows-msvc.zip": {
      "name": "switcheroo-nx-x86_64-pc-windows-msvc.zip",
      "kind": "executable-zip",
      "target_triples": [
        "x86_64-pc-windows-msvc"
      ],
      "assets": [
        {
          "name": "LICENSE",
          "path": "LICENSE",
          "kind": "license"
        },
        {
          "name": "README.md",
          "path": "README.md",
          "kind": "readme"
        },
        {
          "name": "switcheroo",
          "path": "switcheroo.exe",
          "kind": "executable"
        }
      ],
      "checksum": "switcheroo-nx-x86_64-pc-windows-msvc.zip.sha256"
    },
    "switcheroo-nx-x86_64-pc-windows-msvc.zip.sha256": {
      "name": "switcheroo-nx-x86_64-pc-windows-msvc.zip.sha256",
      "kind": "checksum",
      "target_triples": [
        "x86_64-pc-windows-msvc"
      ]
    },
    "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz": {
      "name": "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz",
      "kind": "executable-zip",
      "target_triples": [
        "x86_64-unknown-linux-gnu"
      ],
      "assets": [
        {
          "name": "LICENSE",
          "path": "LICENSE",
          "kind": "license"
        },
        {
          "name": "README.md",
          "path": "README.md",
          "kind": "readme"
        },
        {
          "name": "switcheroo",
          "path": "switcheroo",
          "kind": "executable"
        }
      ],
      "checksum": "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz.sha256"
    },
    "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz.sha256": {
      "name": "switcheroo-nx-x86_64-unknown-linux-gnu.tar.xz.sha256",
      "kind": "checksum",
      "target_triples": [
        "x86_64-unknown-linux-gnu"
      ]
    },
    "switcheroo-nx.rb": {
      "name": "switcheroo-nx.rb",
      "kind": "installer",
      "target_triples": [
        "aarch64-apple-darwin",
        "x86_64-apple-darwin"
      ],
      "install_hint": "brew install budde25/homebrew-tap/switcheroo-nx",
      "description": "Install prebuilt binaries via Homebrew"
    }
  },
  "publish_prereleases": false,
  "ci": {
    "github": {
      "artifacts_matrix": {
        "include": [
          {
            "runner": "macos-11",
            "install_dist": "curl --proto '=https' --tlsv1.2 -LsSf https://github.com/axodotdev/cargo-dist/releases/download/v0.3.1/cargo-dist-installer.sh | sh",
            "dist_args": "--artifacts=local --target=aarch64-apple-darwin"
          },
          {
            "runner": "macos-11",
            "install_dist": "curl --proto '=https' --tlsv1.2 -LsSf https://github.com/axodotdev/cargo-dist/releases/download/v0.3.1/cargo-dist-installer.sh | sh",
            "dist_args": "--artifacts=local --target=x86_64-apple-darwin"
          },
          {
            "runner": "windows-2019",
            "install_dist": "irm  https://github.com/axodotdev/cargo-dist/releases/download/v0.3.1/cargo-dist-installer.ps1 | iex",
            "dist_args": "--artifacts=local --target=x86_64-pc-windows-msvc"
          },
          {
            "runner": "ubuntu-20.04",
            "install_dist": "curl --proto '=https' --tlsv1.2 -LsSf https://github.com/axodotdev/cargo-dist/releases/download/v0.3.1/cargo-dist-installer.sh | sh",
            "dist_args": "--artifacts=local --target=x86_64-unknown-linux-gnu"
          }
        ]
      },
      "pr_run_mode": "plan"
    }
  }
}
